jQuery config

General questions about CMSimple
lillebitte
Posts: 33
Joined: Fri Jan 29, 2016 7:20 am

jQuery config

Postby lillebitte » Sun Dec 18, 2016 12:30 pm

I have just updated my cms, but now I do not know how to config the jQuery plugin. Can someone point me to a page that can inform me about the settings, so I can decide which setting to use? There are some hints next to some of the settings, but it does not help me to decide whether to use it or not.

What I have done so far is to
1) select the highest version available for 'Core' and 'UI'.
From here I am lost
2) Then I can select 'Migrate' - but I have no idea whatsoever for what it is all about - migrating what?? - or which version to select - 'jquery-migrate-3.0.0.js' or 'jquery-migrate- 3.0.0.min.js'?
3) Then I can activate 'Migrate'. The clue gives me no information that I have not guessed already, 'Whether to load the Migrate-plugin or not.' Why I should or why I should not I do not know.
4) 'Autoload' - Why or why not, e.g. what is it good for?
5) 'Libraries' - Why or why not, e.g. what is it good for?

I have had a look at the help link, but that only seems to be relevant to developers or theme designers. I want to know how to set up the site for plain use, maybe with some additional plugins.

I would like to be able to recommend this ingenious CMS to cms newbies too, but then has to actually be simple, not only by name.
Having said all that I am very pleased to be a CMSimple_XH user :-)

cmb
Posts: 12043
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: jQuery config

Postby cmb » Sun Dec 18, 2016 12:48 pm

lillebitte wrote:I have just updated my cms, but now I do not know how to config the jQuery plugin. Can someone point me to a page that can inform me about the settings, so I can decide which setting to use? There are some hints next to some of the settings, but it does not help me to decide whether to use it or not.

Indeed, this documentation is missing.

lillebitte wrote:select the highest version available for 'Core' and 'UI'.

That is not necessarily the best option. Most importantly is that jQuery 1.x still supports IE <= 8, but jQuery 2.x and 3.x don't. Secondly, jQuery 1.x is probably best for compatibility with existing plugins; jQuery 3.x is likely to cause some issues. jQuery 2.x is in between.

lillebitte wrote:Then I can select 'Migrate' - but I have no idea whatsoever for what it is all about - migrating what?? - or which version to select - 'jquery-migrate-3.0.0.js' or 'jquery-migrate- 3.0.0.min.js'?

The migrate plugin serves two purposes: it improves backward compatibility and it gives info about potential incompatibilities. The min version only does the former, so unless you want to debug or report issues, the min version is preferable.

It is important that the major version number of the migrate plugin matches the major version number of jQuery. So for jQuery 2.x there is no migrate plugin.

lillebitte wrote:'Autoload' - Why or why not, e.g. what is it good for?

Some templates and Addons require autoloading jQuery and sometimes jQueryUI. In this case you have to enable autoloading, and choose the needed libraries. Otherwise it's fine to disable autoload.
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

lillebitte
Posts: 33
Joined: Fri Jan 29, 2016 7:20 am

Re: jQuery config

Postby lillebitte » Sun Dec 18, 2016 1:11 pm

Thanks for enlighten me on this issue.
I suggest that next to each setting you recommend a standard configuration.
Eg. in the drop down list "1.12.4.(Standard)", "Migrate (Standard:Activated)"
Is it ok to make such suggestions here or do I have to do it in the bug forum?

Holger
Site Admin
Posts: 2715
Joined: Mon May 19, 2008 7:10 pm
Location: Hessen, Germany
Contact:

Re: jQuery config

Postby Holger » Sun Dec 18, 2016 1:25 pm

lillebitte wrote:Is it ok to make such suggestions here or do I have to do it in the bug forum?
Best place is the Open Development forum, since it's not a real bug. But it's fine here too.
You're right, the update instructions and the documentation of the jQuery-plugin give us some room for improvement ;) . The next jQuery-Plugin will have better descriptions for all options. And I'm thinking about a way to auto-select the correct migrate-version depending on the selected jQuery core version.

lillebitte
Posts: 33
Joined: Fri Jan 29, 2016 7:20 am

Re: jQuery config

Postby lillebitte » Sun Dec 18, 2016 3:40 pm

Sounds fine. Keep up the good work! :)


Return to “General”

Who is online

Users browsing this forum: No registered users and 1 guest